Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1696302 - python-wxpython4: FTBFS in Fedora rawhide with python-sip-4.19.15
Summary: python-wxpython4: FTBFS in Fedora rawhide with python-sip-4.19.15
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-wxpython4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks: PYTHON38 1696765 1697411
TreeView+ depends on / blocked
 
Reported: 2019-04-04 13:28 UTC by Jitka Plesnikova
Modified: 2019-04-11 17:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-11 17:02:30 UTC


Attachments (Terms of Use)

Description Jitka Plesnikova 2019-04-04 13:28:16 UTC
Description of problem:
Package python-wxpython4 fails to build from source in Fedora rawhide with python-sip-4.19.15. 

It is necessary to rebuild it with python-sip-4.19.15, if we want to install it in Fedora rawhide.
However, the rebuild failed with error:

Running command: sip
/usr/bin/sip -w -o -g -I /builddir/build/BUILD/python-wxpython4-4.0.4/python2/src -I /builddir/build/BUILD/python-wxpython4-4.0.4/python2/sip/gen -c /tmp/tmpi8b71d -b sip/cpp/_core.sbf -X pycode_core:wx/core.py sip/gen/_core.sip
BUILDSTDERR: sip: /builddir/build/BUILD/python-wxpython4-4.0.4/python2/src/wacky_ints.sip:20: Invalid type for %MappedType
Command '/usr/bin/sip -w -o -g -I /builddir/build/BUILD/python-wxpython4-4.0.4/python2/src -I /builddir/build/BUILD/python-wxpython4-4.0.4/python2/sip/gen -c /tmp/tmpi8b71d -b sip/cpp/_core.sbf -X pycode_core:wx/core.py sip/gen/_core.sip' failed with exit code 1.
Finished command: sip (0.14s)

Dependency changes from the latest successful build can be found here:
https://apps.fedoraproject.org/koschei/build/6234534

Version-Release number of selected component (if applicable):
4.0.4-2.fc30

Steps to Reproduce:
koji build --scratch f31 python-wxpython4-4.0.4-2.fc30.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/python-wxpython4

Comment 1 Scott Talbert 2019-04-04 14:54:35 UTC
I have patches ready for building with SIP 4.19.14.  Unfortunately, SIP 4.19.15 causes additional problems that I need to investigate.

Comment 2 Miro Hrončok 2019-04-10 07:10:28 UTC
This blocks the bootstrapping of Python 3.8 on a way to matplotlib.

Comment 3 Ankur Sinha (FranciscoD) 2019-04-10 15:45:13 UTC
Also blocks a python-fslpy update. Just marking it for tracking purposes, it isn't urgent :)

Comment 4 Scott Talbert 2019-04-10 15:54:58 UTC
Current status is that the last issues have been fixed in SIP upstream, but a new release hasn't been cut.  The maintainer plans to cut in new release in the next couple of days.

@Miro, how urgent is this?  If you are totally blocked, I can grab the upstream commits and submit a PR to sip before the new release is cut.

Comment 5 Miro Hrončok 2019-04-10 16:01:06 UTC
Not urgent to do this in master branch until cca **2019-05-26 Python 3.8.0 beta 1**

https://fedoraproject.org/wiki/Changes/Python3.8#Important_dates_and_plan



Having such sip available at least for my Copr would unblock me, however there are bigger fish currently and I am not yet totally blocked. A new release in the next couple of days is fine.

I'll let you know if I'm totally blocked before that. Thanks for the kind offer.


Note You need to log in before you can comment on or make changes to this bug.